JavaScript
import { Avalanche } from "@avalanche-sdk/chainkit";
const avalanche = new Avalanche();
async function run() {
const result = await avalanche.data.operations.getResult({
operationId: "aa22054a-cb7c-4a4e-9b83-59f2ede74138",
});
console.log(result);
}
run();curl --request GET \
--url https://glacier-api.avax.network/v1/operations/{operationId} \
--header 'x-glacier-api-key: <api-key>'import requests
url = "https://glacier-api.avax.network/v1/operations/{operationId}"
headers = {"x-glacier-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"operationId": "<string>",
"createdAtTimestamp": 123,
"updatedAtTimestamp": 123,
"message": "<string>",
"metadata": {
"downloadUrl": "<string>",
"nextDate": "<string>"
}
}{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}{
"message": "<string>",
"statusCode": 123,
"error": "<string>"
}Operations
Get operation
Gets operation details for the given operation id.
GET
/
v1
/
operations
/
{operationId}
JavaScript
import { Avalanche } from "@avalanche-sdk/chainkit";
const avalanche = new Avalanche();
async function run() {
const result = await avalanche.data.operations.getResult({
operationId: "aa22054a-cb7c-4a4e-9b83-59f2ede74138",
});
console.log(result);
}
run();Authorizations
Api keys provide higher access to rate limits. To obtain an api key, sign up for an account at https://avacloud.io/.
Path Parameters
UUID of given operation
Response
Successful response
Available options:
TRANSACTION_EXPORT_PRIMARY_NETWORK, TRANSACTION_EXPORT_PRIMARY_NETWORK_STAKING, TRANSACTION_EXPORT_PRIMARY_NETWORK_SIMPLE, TRANSACTION_EXPORT_EVM Available options:
RUNNING, COMPLETED, COMPLETED_WITH_WARNING, FAILED Show child attributes
Show child attributes
Was this page helpful?
⌘I